# Class NotificationSoundService | EchoHub Documentation

# Class NotificationSoundService

Namespace
  EchoHub.Client.Services

Assembly
  EchoHub.Client.dll

    public class NotificationSoundService

Inheritance
  object
  NotificationSoundService

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### NotificationSoundService(NotificationConfig)

    public NotificationSoundService(NotificationConfig config)

#### Parameters

`config` NotificationConfig

## Methods

### PlayAsync()

    public Task PlayAsync()

#### Returns

Task

### PlayTestAsync()

Plays the notification sound regardless of the Enabled setting (for /test-sound).

    public Task PlayTestAsync()

#### Returns

Task

### SetEnabled(bool)

    public void SetEnabled(bool enabled)

#### Parameters

`enabled` bool

### SetVolume(byte)

    public void SetVolume(byte volume)

#### Parameters

`volume` byte